This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 60180 - drop-down menus aren't shown with Konqueror
drop-down menus aren't shown with Konqueror
Status: CLOSED CURRENTRELEASE
Product: Red Hat Web Site
Classification: Red Hat
Component: Global Header (Show other bugs)
current
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: rcabral
Tom Lancaster
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-02-21 08:11 EST by Bernhard Rosenkraenzer
Modified: 2007-04-18 12:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-23 10:29:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bernhard Rosenkraenzer 2002-02-21 08:11:54 EST
Description of Problem:  
The JavaScript stuff checks for Netscape and M$IE only, causing the drop-down menus not to 
work with Konqueror. 
 
Telling Konqueror to identify itself as Netscape 4.76 works around the problem (the 
dropdown menus actually work with Konqueror 3), but we shouldn't expect our customers to 
do that.  
  
Version-Release number of selected component (if applicable):  
2002/02/21 
  
How Reproducible:  
100% 
  
Steps to Reproduce:  
1. Access www.redhat.com with Konqueror 3, watch dropdown menus not working 
2. Tell Konqueror to identify itself as Netscape 
3. Repeat step 1 and watch it work 
  
  
Additional Information:  
The browser ID for Konqueror is 
 
Mozilla/5.0 (compatible; Konqueror/x.xx; Linux) 
Versions where x.xx is >= 2.90 can display Netscape'ish JavaScript dropdown menus.
Comment 1 Bernhard Rosenkraenzer 2002-04-08 06:32:43 EDT
Problem still present. Any news on this?
I keep getting Konqueror bug reports about this while it's in fact a bad
Javascript assumption.

Note You need to log in before you can comment on or make changes to this bug.